<template>
<div>
    <h1 class="mb-6">How often do you exercise?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin} from "@/utils/mixins";
export default {
  mixins: [answersMixin],
  name: "YourHealth33",
  components: {CommonBtn, RadioInput},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_33')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        'Every day',
        'At least 3x per week',
        'Once a week',
        'Less than once a week',
        'Never',
      ]
    }
  }
}
</script>

<style scoped>

</style>
